Bug 133617 - Wrong distribution info in rpms
Wrong distribution info in rpms
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-25 05:33 EDT by Patrik Elmberg
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-26 13:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Elmberg 2004-09-25 05:33:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Is there any way to say what distribution an rpm belongs to?

E.g.
>rpm -q --qf '%{DISTRIBUTION}' fedora-release
Red Hat Linux

But I expected to see something similar to fc3test1.

The main benefit would be to query a package prior installation.
Also, rpm command could warn the user if there is a distribution
mismatch when trying to install an rpm.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. for tag in $(rpm -q --querytags) ; do cmd="rpm -q --qf '%{$tag}'
fedora-release"; echo $cmd; $cmd; read; done
2.
3.
    

Additional info:
Comment 1 Jeff Johnson 2004-09-26 13:25:00 EDT
The distribution tag is added when packages are built.

Unfortunately, packages often are included in other
collections, like "fc3test1", without rebuilding.

Hence, adding static content to packages to describe
what distribution it belons to is simply the wrong thing
to do.

Hence WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.